Name:           maven-project-info-reports-plugin
Version:        2.5.1
Release:        %mkrel 2
Summary:        Maven Project Info Reports Plugin

Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-project-info-reports-plugin/
Source0:        http://repo2.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip
BuildArch: noarch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: jpackage-utils
BuildRequires: apache-commons-parent
BuildRequires: maven-dependency-tree
BuildRequires: maven-plugin-annotations
BuildRequires: maven-plugin-plugin
BuildRequires: maven-shared-reporting-api
BuildRequires: maven-shared-reporting-impl
BuildRequires: maven-doxia-tools
BuildRequires: maven-shared-jar
BuildRequires: maven-wagon
BuildRequires: maven-scm
BuildRequires: maven-doxia
BuildRequires: mvn(org.apache.maven.plugin-tools:maven-plugin-tools-annotations)
BuildRequires: mvn(org.apache.maven:maven-plugin-descriptor)
BuildRequires: mvn(org.apache.maven.plugin-tools:maven-plugin-tools-api)
BuildRequires: mvn(org.apache.maven.plugin-tools:maven-plugin-tools-generators)
BuildRequires: plexus-container-default
BuildRequires: plexus-component-api
BuildRequires: plexus-i18n
BuildRequires: plexus-utils
BuildRequires: apache-commons-validator
BuildRequires: httpunit
BuildRequires: maven-plugin-testing-harness
BuildRequires: servlet3
BuildRequires: netbeans-cvsclient
BuildRequires: maven-jarsigner-plugin
BuildRequires: keytool-maven-plugin
BuildRequires: joda-time
BuildRequires: maven2-common-poms

Requires:       maven
Requires:       java
Requires:       jpackage-utils
Requires:       plexus-container-default
Requires:       plexus-component-api
Requires:       plexus-i18n
Requires:       plexus-utils
Requires:       apache-commons-validator
Requires:       httpunit
Requires:       servlet3
Requires:       maven-dependency-tree
Requires:       maven-shared-jar
Requires:       maven-scm
Requires:       joda-time

Obsoletes: maven2-plugin-project-info-reports <= 0:2.0.8
Provides: maven2-plugin-project-info-reports = 0:%{version}-%{release}

%description
The Maven Project Info Reports Plugin is a plugin 
that generates standard reports for the specified project.
  

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.


%prep
%setup -q -c
pushd %{name}-%{version}
# removed cvsjava provider since we don't support it anymore
%pom_remove_dep :maven-scm-provider-cvsjava
popd

%build
pushd %{name}-%{version}
mvn-rpmbuild \
        -Dmaven.test.skip=true \
        install javadoc:javadoc
popd

%install
pushd %{name}-%{version}
# poms
install -Dpm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
# jars
install -Dpm 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}.jar

%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/
popd

%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}



%changelog

* Tue Feb 19 2013 dmorgan <dmorgan> 2.5.1-2.mga3
+ Revision: 399416
- New version

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 11 2012 dmorgan <dmorgan> 2.4-5.mga3
+ Revision: 292265
- Use tomcat6

* Thu Dec 22 2011 dmorgan <dmorgan> 2.4-4.mga2
+ Revision: 186181
- One more missing R - joda-time ( From Fedora)

* Thu Dec 22 2011 dmorgan <dmorgan> 2.4-3.mga2
+ Revision: 186169
- Requires maven-scm ( From Fedora)

* Thu Dec 22 2011 dmorgan <dmorgan> 2.4-2.mga2
+ Revision: 186168
- Add missing R. ( From Fedora)

* Wed Jul 20 2011 dmorgan <dmorgan> 2.4-1.mga2
+ Revision: 127110
- Fix patch
- New version 2.4

* Wed Jul 20 2011 dmorgan <dmorgan> 2.3.1-1.mga2
+ Revision: 127070
- New version 2.3.1

* Thu Apr 28 2011 dmorgan <dmorgan> 2.2-7.mga1
+ Revision: 92719
- Rebuild after bootstrapping
- imported package maven-project-info-reports-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 9 2010 Chris Spike <chris.spike@arcor.de> 2.2-5
- Removed obsolete patch
- tomcat5 -> tomcat6 BRs/Rs

* Tue Oct 26 2010 akurtakov <akurtakov@redhat.com> 2.2-4
- Fix apache-commons-validator BR/R.

* Thu Sep 09 2010 Hui Wang <huwang@redhat.com> - 2.2-3
- Add missing BR netbeans-cvsclient

* Mon Jun 07 2010 Hui Wang <huwang@redhat.com> - 2.2-2
- Added missing requires

* Thu Jun 02 2010 Hui Wang <huwang@redhat.com> - 2.2-1
- Initial version of the package
